Page MenuHomePhabricator

PHP error from SpecialContentTranslation.php: "Undefined index: 0" and "Undefined index: 1"
Closed, ResolvedPublic

Description

Error

Request URL: GET /wiki/Special:ContentTranslation page views (and localised variants)
Request ID: XPi5LwpAMFkAAGz2lHMAAADT

message (0)
ErrorException from line 81 of /srv/mediawiki/php-1.34.0-wmf.8/extensions/ContentTranslation/specials/SpecialContentTranslation.php: PHP Notice: Undefined index: 0

#0 /srv/mediawiki/php-1.34.0-wmf.8/extensions/ContentTranslation/specials/SpecialContentTranslation.php(81): MWExceptionHandler::handleError(integer, string, string, integer, array, array)
#1 /srv/mediawiki/php-1.34.0-wmf.8/extensions/ContentTranslation/specials/SpecialContentTranslation.php(168): SpecialContentTranslation->hasValidToken()
#2 /srv/mediawiki/php-1.34.0-wmf.8/extensions/ContentTranslation/specials/SpecialContentTranslation.php(226): SpecialContentTranslation->onTranslationView()
#3 /srv/mediawiki/php-1.34.0-wmf.8/extensions/ContentTranslation/specials/ContentTranslationSpecialPage.php(44): SpecialContentTranslation->addJsConfigVars()
#4 /srv/mediawiki/php-1.34.0-wmf.8/includes/specialpage/SpecialPage.php(570): ContentTranslationSpecialPage->execute(NULL)
#5 /srv/mediawiki/php-1.34.0-wmf.8/includes/specialpage/SpecialPageFactory.php(575): SpecialPage->run(NULL)
#6 /srv/mediawiki/php-1.34.0-wmf.8/includes/MediaWiki.php(288): MediaWiki\Special\SpecialPageFactory->executePath(Title, RequestContext)
#7 /srv/mediawiki/php-1.34.0-wmf.8/includes/MediaWiki.php(865): MediaWiki->performRequest()
#8 /srv/mediawiki/php-1.34.0-wmf.8/includes/MediaWiki.php(515): MediaWiki->main()
#9 /srv/mediawiki/php-1.34.0-wmf.8/index.php(42): MediaWiki->run()
message (1)
ErrorException from line 81 of /srv/mediawiki/php-1.34.0-wmf.8/extensions/ContentTranslation/specials/SpecialContentTranslation.php: PHP Notice: Undefined index: 1

#0 /srv/mediawiki/php-1.34.0-wmf.8/extensions/ContentTranslation/specials/SpecialContentTranslation.php(81): MWExceptionHandler::handleError(integer, string, string, integer, array, array)
#1 /srv/mediawiki/php-1.34.0-wmf.8/extensions/ContentTranslation/specials/SpecialContentTranslation.php(130): SpecialContentTranslation->hasValidToken()
#2 /srv/mediawiki/php-1.34.0-wmf.8/extensions/ContentTranslation/specials/ContentTranslationSpecialPage.php(27): SpecialContentTranslation->canUserProceed()
#3 /srv/mediawiki/php-1.34.0-wmf.8/includes/specialpage/SpecialPage.php(570): ContentTranslationSpecialPage->execute(NULL)
#4 /srv/mediawiki/php-1.34.0-wmf.8/includes/specialpage/SpecialPageFactory.php(575): SpecialPage->run(NULL)
#5 /srv/mediawiki/php-1.34.0-wmf.8/includes/MediaWiki.php(288): MediaWiki\Special\SpecialPageFactory->executePath(Title, RequestContext)
#6 /srv/mediawiki/php-1.34.0-wmf.8/includes/MediaWiki.php(865): MediaWiki->performRequest()
#7 /srv/mediawiki/php-1.34.0-wmf.8/includes/MediaWiki.php(515): MediaWiki->main()
#8 /srv/mediawiki/php-1.34.0-wmf.8/index.php(42): MediaWiki->run()

Impact

Unknown.

Notes

Started last week, on 1.34-wmf.7.

Event Timeline

Krinkle created this task.Jun 6 2019, 11:36 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 6 2019, 11:36 AM

Change 514712 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/extensions/ContentTranslation@master] Fix T225198 – undefined index notices

https://gerrit.wikimedia.org/r/514712

Change 514712 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/extensions/ContentTranslation@master] Fix undefined index notices

https://gerrit.wikimedia.org/r/514712

Change 514712 merged by Petar.petkovic:
[mediawiki/extensions/ContentTranslation@master] Fix undefined index notices

https://gerrit.wikimedia.org/r/514712

Change 514734 had a related patch set uploaded (by KartikMistry; owner: Nikerabbit):
[mediawiki/extensions/ContentTranslation@wmf/1.34.0-wmf.8] Fix undefined index notices

https://gerrit.wikimedia.org/r/514734

Pginer-WMF triaged this task as Normal priority.Jun 17 2019, 10:46 AM
Pginer-WMF moved this task from Needs Triage to Bugs on the ContentTranslation board.

Change 514734 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@wmf/1.34.0-wmf.8] Fix undefined index notices

https://gerrit.wikimedia.org/r/514734

Mentioned in SAL (#wikimedia-operations) [2019-06-17T11:46:02Z] <awight@deploy1001> Synchronized php-1.34.0-wmf.8/extensions/ContentTranslation: SWAT: [[gerrit:514734|Fix undefined index notices (T225198)]] (duration: 00m 49s)

Krinkle closed this task as Resolved.Jun 19 2019, 2:52 PM
mmodell changed the subtype of this task from "Task" to "Production Error".Wed, Aug 28, 11:06 PM